Page MenuHomePhabricator

Add text to error when submitting a label that already exists.
Closed, ResolvedPublic

Description

The error text for when someone tries to submit a label that already exists does not encourage them to "+1" it or endorse it. It should.

Currently the error message looks like this: "A proposal with the specified data already exists."

We should extend this message to be: "A proposal with the specified data already exists. Consider endorsing ('+1') the proposal that already exists."

Event Timeline

Halfak created this task.Mar 11 2020, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2020, 8:21 PM
Halfak renamed this task from Add to Add text to error when submitting a label that already exists..Mar 11 2020, 8:22 PM
Halfak added a project: Jade.
Halfak updated the task description. (Show Details)
Chtnnh added a subscriber: Chtnnh.Mar 11 2020, 8:42 PM

How about

Label already exists, please endorse it by selecting the dropdown

Halfak updated the task description. (Show Details)Mar 17 2020, 7:59 PM
Halfak triaged this task as High priority.Mar 24 2020, 5:18 PM
Halfak moved this task from Untriaged to Ready to go on the Machine Learning Platform board.

Change 596387 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Fixed label proposal error message

https://gerrit.wikimedia.org/r/596387

Change 596387 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Fixed label proposal error message

https://gerrit.wikimedia.org/r/596387

Halfak closed this task as Resolved.Jun 22 2020, 4:36 PM